GEThttps://api.breeze.blue/v1/voices/random

Get a random voice

Return one random voice visible to the authenticated user. Use the returned voice_id with text-to-speech endpoints.

Authentication

API key: Send your Breeze Developer API key with the xi-api-key header.

Headers

FieldTypeDescription
xi-api-keyrequiredstringYour Breeze Developer API key. See authentication.

Example request

python import os from breeze_blue import BreezeBlue client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"]) voice = client.voices.random() print(voice["voice_id"], voice["name"]) typescript import { BreezeBlueClient } from "@breeze.blue/sdk"; const client = new BreezeBlueClient({ apiKey: process.env.BREEZE_API_KEY!, }); const voice = await client.voices.random(); console.log(voice.voiceId, voice.name); curl curl "https://api.breeze.blue/v1/voices/random" \ -H "xi-api-key: $BREEZE_API_KEY"
import os

from breeze_blue import BreezeBlue

client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

voice = client.voices.random()

print(voice["voice_id"], voice["name"])

Response

Random voice metadata.

Content types: application/json

Response headers:

  • x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
  "voice_id": "voc_xeh3w54cqvnp",
  "name": "Example",
  "category": "string",
  "voice_type": "string",
  "labels": {
    "example": "string"
  },
  "preview_url": "https://example.com/audio.mp3",
  "settings": {
    "guidance_scale": 1
  },
  "description": "Example description.",
  "created_at_unix": 1
}

Errors

  • RESOURCE_NOT_FOUNDNo accessible voice is available.

See the full list on errors.